General Leads
Accept a lead
Accept a vendor-assigned lead. Triggers a customer notification informing them of your acceptance. The lead must not have been previously accepted or declined. After acceptance, customer contact information becomes visible in the lead details.
POST
/
general-leads
/
{id}
/
accept
Accept a lead
curl --request POST \
--url https://www.renovationfind.com/rest-api-v1/general-leads/{id}/accept \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.renovationfind.com/rest-api-v1/general-leads/{id}/accept"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.renovationfind.com/rest-api-v1/general-leads/{id}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"actionDate": "2023-11-07T05:31:56Z",
"category": "<string>",
"customerName": "<string>",
"customerEmail": "jsmith@example.com",
"customerPhone": "<string>",
"customerAddress": "<string>",
"projectDetailsHtml": "<string>",
"originalJobDescription": "<string>",
"vendorNotificationViewed": true,
"declineReason": "<string>",
"postLeadRequiresAction": true,
"customerInformationHtml": "<string>",
"postLeadStatusData": {
"statusActionDate": "2023-11-07T05:31:56Z",
"reason": "<string>",
"meetupScheduledDate": "2023-11-07T05:31:56Z",
"jobAmount": 123,
"requiresAction": true,
"estimatedProjectStartDate": "2023-11-07T05:31:56Z",
"estimatedCompletionDate": "2023-11-07T05:31:56Z",
"startDateTbd": true,
"completionDateTbd": true
},
"attachments": [
{
"id": 123,
"displayFilename": "<string>",
"contentType": "<string>",
"uploadDate": "2023-11-07T05:31:56Z"
}
]
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Path Parameters
Previous
Decline a leadDecline a vendor-assigned lead with a reason.
The lead must not have been previously accepted or declined.
Next
⌘I
Accept a lead

